/*
 * Copyright (c) 1998-2006 Caucho Technology -- all rights reserved
 *
 * This file is part of Resin(R) Open Source
 *
 * Each copy or derived work must preserve the copyright notice and this
 * notice unmodified.
 *
 * Resin Open Source is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Resin Open Source is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE, or any warranty
 * of NON-INFRINGEMENT.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Resin Open Source; if not, write to the
 *
 *   Free Software Foundation, Inc.
 *   59 Temple Place, Suite 330
 *   Boston, MA 02111-1307  USA
 *
 * @author Scott Ferguson
 */

package javax.mail.search;
import javax.mail.*;

/**
 * This class models the comparison operator.
 */
public abstract class ComparisonTerm extends SearchTerm {

  /**
   * The comparison.
   */
  protected int comparison;

  public static final int EQ=3;

  public static final int GE=6;

  public static final int GT=5;

  public static final int LE=1;

  public static final int LT=2;

  public static final int NE=4;

  public ComparisonTerm()
  {
    this(0);
  }

  ComparisonTerm(int comparison)
  {
    this.comparison = comparison;
  }

  /**
   * Equality comparison.
   */
  public boolean equals(Object obj)
  {
    if (! (obj instanceof ComparisonTerm))
      return false;

    ComparisonTerm comparisonTerm = (ComparisonTerm)obj;
    return comparisonTerm.comparison == comparison;
  }

  /**
   * Compute a hashCode for this object.
   */
  public int hashCode()
  {
    return comparison;
  }

}
